<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.10"
	Name="CosEC_RtEC_Based_lib"
	ProjectGUID="{59F229D9-FECA-1BAD-D435-8506AF6B47D5}"
	SccProjectName=""
	SccLocalPath="">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="..\..\..\..\..\..\lib"
			IntermediateDirectory="Debug\CosEC_RtEC_Based_lib"
			ConfigurationType="2"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="0">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\..\..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"
				PreprocessorDefinitions="TAO_RTEC_COSEC_BUILD_DLL;_DEBUG;WIN32;_WINDOWS;TAO_HAS_TYPED_EVENT_CHANNEL"
				MinimalRebuild="FALSE"
				ExceptionHandling="TRUE"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				BufferSecurityCheck="TRUE"
				EnableFunctionLevelLinking="TRUE"
				TreatWChar_tAsBuiltInType="TRUE"
				ForceConformanceInForLoopScope="TRUE"
				RuntimeTypeInfo="TRUE"
				ProgramDataBaseFileName="Debug\CosEC_RtEC_Based_lib/"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="FALSE"
				DebugInformationFormat="3"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="ACEd.lib TAOd.lib TAO_AnyTypeCoded.lib TAO_CosEventd.lib TAO_PortableServerd.lib TAO_CosEvent_Skeld.lib TAO_Valuetyped.lib TAO_CodecFactoryd.lib TAO_PId.lib TAO_Messagingd.lib TAO_Svc_Utilsd.lib TAO_RTEventd.lib TAO_RTEvent_Skeld.lib TAO_RTEvent_Servd.lib"
				OutputFile="$(OutDir)\CosEC_RtEC_Basedd.dll"
				LinkIncremental="2"
				SuppressStartupBanner="TRUE"
				AdditionalLibraryDirectories=".;..\..\..\..\..\..\lib"
				GenerateDebugInformation="TRUE"
				ProgramDatabaseFile="$(OutDir)\CosEC_RtEC_Basedd.pdb"
				SubSystem="1"
				ImportLibrary="..\..\..\..\..\..\lib\CosEC_RtEC_Basedd.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG;TAO_HAS_TYPED_EVENT_CHANNEL"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..\..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="..\..\..\..\..\..\lib"
			IntermediateDirectory="Release\CosEC_RtEC_Based_lib"
			ConfigurationType="2"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="0">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="3"
				AdditionalIncludeDirectories="..\..\..\..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"
				PreprocessorDefinitions="TAO_RTEC_COSEC_BUILD_DLL;NDEBUG;WIN32;_WINDOWS;TAO_HAS_TYPED_EVENT_CHANNEL"
				MinimalRebuild="FALSE"
				ExceptionHandling="TRUE"
				RuntimeLibrary="2"
				BufferSecurityCheck="TRUE"
				EnableFunctionLevelLinking="TRUE"
				TreatWChar_tAsBuiltInType="TRUE"
				ForceConformanceInForLoopScope="TRUE"
				RuntimeTypeInfo="TRUE"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="FALSE"
				DebugInformationFormat="3"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="ACE.lib TAO.lib TAO_AnyTypeCode.lib TAO_CosEvent.lib TAO_PortableServer.lib TAO_CosEvent_Skel.lib TAO_Valuetype.lib TAO_CodecFactory.lib TAO_PI.lib TAO_Messaging.lib TAO_Svc_Utils.lib TAO_RTEvent.lib TAO_RTEvent_Skel.lib TAO_RTEvent_Serv.lib"
				OutputFile="$(OutDir)\CosEC_RtEC_Based.dll"
				LinkIncremental="1"
				SuppressStartupBanner="TRUE"
				AdditionalLibraryDirectories=".;..\..\..\..\..\..\lib"
				GenerateDebugInformation="TRUE"
				SubSystem="1"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				ImportLibrary="..\..\..\..\..\..\lib\CosEC_RtEC_Based.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG;TAO_HAS_TYPED_EVENT_CHANNEL"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..\..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
	</Configurations>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;cxx;cc;C;c">
			<File
				RelativePath="ConsumerAdmin_i.cpp">
			</File>
			<File
				RelativePath="CosEvent_Utilities.cpp">
			</File>
			<File
				RelativePath="EventChannel_i.cpp">
			</File>
			<File
				RelativePath="ProxyPushConsumer_i.cpp">
			</File>
			<File
				RelativePath="ProxyPushSupplier_i.cpp">
			</File>
			<File
				RelativePath="SupplierAdmin_i.cpp">
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hh">
			<File
				RelativePath="ConsumerAdmin_i.h">
			</File>
			<File
				RelativePath="CosEvent_Utilities.h">
			</File>
			<File
				RelativePath="EventChannel_i.h">
			</File>
			<File
				RelativePath="ProxyPushConsumer_i.h">
			</File>
			<File
				RelativePath="ProxyPushSupplier_i.h">
			</File>
			<File
				RelativePath="rtec_cosec_export.h">
			</File>
			<File
				RelativePath="SupplierAdmin_i.h">
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
